Subject: Re: bug#72042: [PATCH 1/1] gnu: python-gst: Fix build.

From: Remco van 't Veer <[email-masked]>
Date: Wed, 11 Sep 2024 09:29:17 +0200

Hi Maxim,

2024/09/11, Maxim Cournoyer:

> It's nice that this fixes the package build, but propagating various
> version of Python libraries a road that to leads to problems.  Currently
> it's important that propagated things are all compatible together.
>
> I'd suggest trying to update python-gst to see if it works with the
> newer python-pygobject instead.

It does because this is the newer version.  I proposed to do a graft or
just go for the upgrade[1] but python-pygobject has a lot of dependent
packages.

  $ guix refresh --list-dependent python-pygobject
  Building the following 2015 packages would ensure 4466 dependent packages are rebuilt: ..

Should I provide a patch to just go for the newer version?

Remco